## edu.stanford.nlp.tagger.maxent
Class ExtractorDistsim.ExtractorDistsimConjunction

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.Extractor
          edu.stanford.nlp.tagger.maxent.ExtractorDistsim.ExtractorDistsimConjunction

All Implemented Interfaces:
  Serializable

Enclosing class:
  ExtractorDistsim

    public static class ExtractorDistsim.ExtractorDistsimConjunction

extends Extractor

See Also:
  Serialized Form

Method Summary
`boolean` `isDynamic()`
`boolean` `isLocal()`
`String` `toString()`

Methods inherited from class edu.stanford.nlp.tagger.maxent.Extractor
`leftContext, precondition, rightContext, setGlobalHolder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Extractor`

### isLocal

    public boolean isLocal()

  Overrides:
    `isLocal` in class `Extractor`
  Returns:
    Returns true if extractor is not a function of POS tags, and only depends on current word.

### isDynamic

    public boolean isDynamic()

  Overrides:
    `isDynamic` in class `Extractor`
  Returns:
    Returns true if extractor is a function of POS tags; if it returns false, features are pre-computed.

Stanford NLP Group